<?php
header('Content-Type: application/json');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_query($con, "SET SESSION query_cache_type=OFF");
$sql = '';

if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}

$exito_en_consulta = FALSE;

if ($sql != '')
{
	$resultado = mysqli_query($con,$sql);
	$exito_en_consulta = TRUE;
}

$res = array();


if ($exito_en_consulta == TRUE)
{
$exito_en_consulta = FALSE;
$sql = "SELECT * FROM usuarios2 WHERE ACTIVO = 1";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
			$elem = array(
							'id'=>$row["ID"],		
							'nombre'=>$row["NOMBRE"],
							'password'=>$row["PASSWORD"],
							'celular'=>$row["CELULAR"],		  
							'email'=>$row["EMAIL"],
							'permisos'=>$row["PERMISOS"],
							'empresa'=>$row["EMPRESA"],
							'revisar'=>$row["REVISAR"],
							'elemento'=>$row["ELEMENTO"],
							'municipio'=>$row["MUNICIPIO"]
      	   				);
			 $exito_en_consulta = TRUE;
			 array_push($res,$elem);
			}
		}
	}	
}			 
if ($exito_en_consulta == FALSE)			
		{
			$elem = array(
			  'id'=>'FALSO',	
	          'nombre'=>'FALSO',
			  'password'=>'FALSO',
			  'celular'=>'FALSO',
	          'email'=>'FALSO',
	          'permisos'=>'FALSO',
        	  'empresa'=>'FALSO',
			  'revisar'=>'FALSO',
			  'elemento'=>'FALSO',
			  'municipio'=>'FALSO'
			  );
			  array_push($res,$elem);    
}

mysqli_close($con);
echo json_encode($res);
?>